Summary:	A tool for dumping a computer's DMI table contents
Summary(pl.UTF-8):	Narzędzie do zrzucania zawartości tabeli DMI komputera
Name:		dmidecode
Version:	3.0
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	http://savannah.nongnu.org/download/dmidecode/%{name}-%{version}.tar.xz
# Source0-md5:	281ee572d45c78eca73a14834c495ffd
Patch0:		%{name}-fixes.patch
URL:		http://www.nongnu.org/dmidecode/
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dmidecode is a tool for dumping a computer's DMI (some say SMBIOS)
table contents in a human-readable format. This table contains a
description of the system's hardware components, as well as other
useful pieces of information such as serial numbers and BIOS revision.

%description -l pl.UTF-8
Dmidecode jest narzędziem do zrzucania zawartości DMI (niektórzy mówią
na to SMBIOS) komputera w formacie odczytywalnym przez człowieka.
Tabela ta zawiera opis sprzętowych komponentów systemu, a także
użyteczne kawałki informacji takie jak numery seryjne i rewizja
BIOS-u.

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcppflags} %{rpmcflags} -Wall -W -pedantic" \
	LDFLAGS="%{rpmcflags} %{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	prefix=%{_prefix} \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/dmidecode

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG README
%attr(755,root,root) %{_sbindir}/biosdecode
%attr(755,root,root) %{_sbindir}/dmidecode
%attr(755,root,root) %{_sbindir}/ownership
%attr(755,root,root) %{_sbindir}/vpddecode
%{_mandir}/man8/biosdecode.8*
%{_mandir}/man8/dmidecode.8*
%{_mandir}/man8/ownership.8*
%{_mandir}/man8/vpddecode.8*
%changelog
* Thu Feb 11 2016 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/dmidecode.git;a=log;h=master

* Sat Oct 24 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 352666c
- add recommended patches from dmidecode home page

* Sat Oct 24 2015 Jakub Bogusz <qboosh@pld-linux.org> b0bf179
- updated to 3.0
- removed obsolete smbios_fix patch

* Fri Nov 07 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 57ca7ab
- rel 2; new cpu/memory support

* Thu Apr 18 2013 Jakub Bogusz <qboosh@pld-linux.org> b459343
- updated to 2.12

* Sat Jan 22 2011 Jakub Bogusz <qboosh@pld-linux.org> d7b7b77
- updated to 2.11

* Thu Jan 06 2011 sparky <sparky@pld-linux.org> 73e4996
- remove workaround for BSD make from Makefile
- more rpm*flags

* Mon Nov 24 2008 pawelz <pawelz@pld-linux.org> 7bfd3fb
- up to 2.10

* Wed Feb 28 2007 vip <vip@pld-linux.org> cf9e12b
- up to 2.9

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> cb3a297
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7389a26
- converted to UTF-8

* Mon May 15 2006 Elan Ruusamäe <glen@pld-linux.org> c5d0bc8
- check files cleanup

* Sun Feb 05 2006 areq <areq@pld-linux.org> ec4c23a
- 2.8

* Sat Aug 13 2005 Jakub Bogusz <qboosh@pld-linux.org> f955209
- updated to 2.7, removed obsolete mandir patch

* Sat Aug 13 2005 Jakub Bogusz <qboosh@pld-linux.org> 4c7c681
- obsolete

* Wed Mar 02 2005 Jakub Bogusz <qboosh@pld-linux.org> 5fffe5e
- updated to 2.6, removed obsolete vpddecode patch

* Wed Mar 02 2005 Jakub Bogusz <qboosh@pld-linux.org> c7ba7a8
- obsolete

* Thu Feb 24 2005 tommat <tommat@pld-linux.org> 9a3fef6
- added vpddecode patch to recognize Thinkcentre A50
- rel 2

* Thu Feb 24 2005 tommat <tommat@pld-linux.org> 868783f
- allow to recognize Thinkcentre A50, patch sent to authors

* Thu Nov 11 2004 paladine <paladine@pld-linux.org> 0f49433
- updated to 2.5

* Fri Mar 26 2004 undefine <undefine@pld-linux.org> ce2360f
- ukhm.. small dummy patch to place mans in /usr/share/man/...

